﻿using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TelerikMvcAppScheduler.Models;

namespace TelerikMvcAppScheduler.Controllers
{
    public class CalendarController : Controller
    {
        private SchedulerTaskService taskService;

        public CalendarController()
        {
            this.taskService = new SchedulerTaskService();
        }

        // GET: Calendar
        public ActionResult Index()
        {
            return View();
        }

        public virtual JsonResult ReadTasks([DataSourceRequest] DataSourceRequest request)
        {
            return Json(taskService.GetAll().ToDataSourceResult(request), JsonRequestBehavior.AllowGet);
        }

        public ActionResult GetSections()
        {
            var data = new List<object>()
            {
                new  { Text = "Section 1", Value = "1", Color = "#f8a398" },
                new  { Text = "Section 2", Value = "2", Color = "#f8a398" },
                new  { Text = "Section 3", Value = "3", Color = "#f8a398" },
                new  { Text = "Section 4", Value = "4", Color = "#f8a398" }
            };

            return Json(data, JsonRequestBehavior.AllowGet);
        }
    }
}